> For the complete documentation index, see [llms.txt](https://docs.evt.land/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evt.land/api/evt/setdefaultmaxhandlers.md).

# Evt.setDefaultMaxHandlers(n)

By default if an `Evt` is attached more than 25 handlers a warning will be displayed. It is possible to increase this limmit on a specific `Evt` instance using [`evt.setMaxHandlers(n)`](https://docs.evt.land/api/evt/setmaxhandlers) or globally with this static method.

Using this method will not overwrite the vale set on specific instance with `evt.setMaxHandlers(n)`.

Use Infinity or 0 to completely disable the warning.

{% hint style="warning" %}
Different version of EVT can be coabitating in a single project. The modification will only apply to the `Evt`s instantiated by this constructor.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.evt.land/api/evt/setdefaultmaxhandlers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
